package com.fs.hisStore.service;

import com.fs.hisStore.domain.SysOperLogScrm;
import com.fs.hisStore.param.StoreOperMainQueryParam;
import com.fs.hisStore.vo.StoreOperMainVO;

import java.util.List;

/**
 * 操作日志 服务层
 *

 */
public interface ISysOperLogScrmService
{
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLogScrm operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLogScrm> selectOperLogList(SysOperLogScrm operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLogScrm selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    /**
     * 修改操作日志
     * */
    public int updateOperLog(SysOperLogScrm operLog);

    List<StoreOperMainVO> getMains(StoreOperMainQueryParam operLog);
}
